summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author klaatu2012-06-30 18:33:47 +0200
committer dsomero2012-06-30 18:33:47 +0200
commitaab432b661f3af5f3b047993b339b0195f77d950 (patch)
tree4ad7836d8288f0e79ce9e81f07cc4de0617eec74
parent3de9b740d266d841a0ad84c57a4f98dcf35b4781 (diff)
downloadslackbuilds-aab432b661f3af5f3b047993b339b0195f77d950.tar.gz
system/scalpel: Added (A Frugal, High Performance File Carver)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--system/scalpel/README12
-rw-r--r--system/scalpel/scalpel.SlackBuild83
-rw-r--r--system/scalpel/scalpel.info10
-rw-r--r--system/scalpel/slack-desc19
4 files changed, 124 insertions, 0 deletions
diff --git a/system/scalpel/README b/system/scalpel/README
new file mode 100644
index 0000000000..c646cfdeaf
--- /dev/null
+++ b/system/scalpel/README
@@ -0,0 +1,12 @@
+Scalpel is a fast file carver that reads a database of header and footer
+definitions and extracts matching files or data fragments from a set of
+image files or raw device files. Scalpel is filesystem-independent and will
+carve files from FATx, NTFS, ext2/3, HFS+, or raw partitions. It is useful
+for both digital forensics investigation and file recovery.
+
+To use it, you MUST have a conf file that defines the file types you want
+to recover. Use the example scalpel.conf file from /usr/doc/scalpel
+
+See the man page for details.
+
+This requires tre available from SlackBuilds.org
diff --git a/system/scalpel/scalpel.SlackBuild b/system/scalpel/scalpel.SlackBuild
new file mode 100644
index 0000000000..4ec0dc7a23
--- /dev/null
+++ b/system/scalpel/scalpel.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for scalpel
+# Written by klaatu at member dot fsf dot org
+
+PRGNAM=scalpel
+VERSION=${VERSION:-2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README Changelog gpl.txt \
+ scalpel.conf \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz} \ No newline at end of file
diff --git a/system/scalpel/scalpel.info b/system/scalpel/scalpel.info
new file mode 100644
index 0000000000..eed3f294d3
--- /dev/null
+++ b/system/scalpel/scalpel.info
@@ -0,0 +1,10 @@
+PRGNAM="scalpel"
+VERSION="2.0"
+HOMEPAGE="http://www.digitalforensicssolutions.com/Scalpel"
+DOWNLOAD="http://www.digitalforensicssolutions.com/Scalpel/scalpel-2.0.tar.gz"
+MD5SUM="b0da813bf34941e79209d7fafe86a6e6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="klaatu"
+EMAIL="klaatu@member.fsf.org"
+APPROVED="dsomero"
diff --git a/system/scalpel/slack-desc b/system/scalpel/slack-desc
new file mode 100644
index 0000000000..c42590837b
--- /dev/null
+++ b/system/scalpel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+scalpel: scalpel (A Frugal, High Performance File Carver)
+scalpel:
+scalpel: Scalpel is a fast file carver that reads a database of header and
+scalpel: footer definitions and extracts matching files or data fragments
+scalpel: from a set of image files or raw device files. Scalpel is
+scalpel: filesystem-independent and will carve files from FATx, NTFS, ext2/3,
+scalpel: HFS+, or raw partitions. It is useful for both digital forensics
+scalpel: investigation and file recovery.
+scalpel:
+scalpel: http://www.digitalforensicssolutions.com/Scalpel/
+scalpel: \ No newline at end of file